View Bug Details

IDProjectCategoryView StatusLast Update
0000477DCP-o-matic[All Projects] Bugspublic2016-05-31 22:54
ReporterIgor.VoytAssigned Tocarl 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.77.0 
Target VersionFixed in Version 
Summary0000477: Unable to send email through non-public smtp-server
Description

Unable to send email through non-public smtp-server. Server receives command VRFY wich is rejecting for policy reason

Steps To Reproduce

Fill all fields in Prefences->KDM Email
Fill all fields in Jobs->Make KDM->Add/edit Cinema
Send by email

TagsNo tags attached.
Estimated work required

Activities

Igor.Voyt

2015-01-25 12:50

reporter  

smtp-log.txt (4,138 bytes)
Problem log
----------
Sun 2015-01-25 14:33:26: Session 402; child 1
Sun 2015-01-25 14:33:26: Accepting SMTP connection from [192.168.10.2:58761] to [192.168.10.3:587]
Sun 2015-01-25 14:33:26: --> 220 myhost.com ESMTP MSA MDaemon 13.0.4; Sun, 25 Jan 2015 14:33:26 +0200
Sun 2015-01-25 14:33:26: <-- EHLO MyHost
Sun 2015-01-25 14:33:26: --> 250-myhost.com Hello MyHost, pleased to meet you
Sun 2015-01-25 14:33:26: --> 250-AUTH LOGIN CRAM-MD5 PLAIN
Sun 2015-01-25 14:33:26: --> 250-8BITMIME
Sun 2015-01-25 14:33:26: --> 250-STARTTLS
Sun 2015-01-25 14:33:26: --> 250 SIZE
Sun 2015-01-25 14:33:26: <-- STARTTLS
Sun 2015-01-25 14:33:26: --> 220 Begin TLS negotiation
Sun 2015-01-25 14:33:26: SSL negotiation successful (TLS 1.0, 2048 bit key exchange, 168 bit 3DES encryption)
Sun 2015-01-25 14:33:26: <-- EHLO MyHost
Sun 2015-01-25 14:33:26: --> 250-myhost.com Hello MyHost, pleased to meet you
Sun 2015-01-25 14:33:26: --> 250-AUTH LOGIN CRAM-MD5 PLAIN
Sun 2015-01-25 14:33:26: --> 250-8BITMIME
Sun 2015-01-25 14:33:26: --> 250 SIZE
Sun 2015-01-25 14:33:26: <-- AUTH CRAM-MD5
Sun 2015-01-25 14:33:26: --> 334 PE1EQUVNT04tRjIwMTUwMTI1MTQzMy5BQTMzMjY5NDlNRDAwMTJAZHVhbC12LWZpbG1zLmNvbS51YT4=
Sun 2015-01-25 14:33:26: <-- aS52b3l0QGR1YWwtdi1maWxtcy5jb20udWEgODA5YjM1NWM5YmFhNDMzYjgyMGZiYzVlYjM1YmQzZTg=
Sun 2015-01-25 14:33:26: --> 235 Authentication successful
Sun 2015-01-25 14:33:26: Authenticated as sender@myhost.com
Sun 2015-01-25 14:33:26: <-- VRFY <recipient@remotehost.com>
Sun 2015-01-25 14:33:26: --> 252 local security policy has disabled this command
Sun 2015-01-25 14:33:26: <-- QUIT
Sun 2015-01-25 14:33:26: --> 221 See ya in cyberspace
Sun 2015-01-25 14:33:26: SMTP session terminated (Bytes in/out: 1309/1714)
_______________________________________


Normal log
----------
Sun 2015-01-25 14:42:51: Session 405; child 1
Sun 2015-01-25 14:42:51: Accepting SMTP connection from [192.168.10.1:60845] to [192.168.10.3:587]
Sun 2015-01-25 14:42:51: --> 220 myhost.com ESMTP MSA MDaemon 13.0.4; Sun, 25 Jan 2015 14:42:51 +0200
Sun 2015-01-25 14:42:51: <-- EHLO [192.168.10.2]
Sun 2015-01-25 14:42:51: --> 250-myhost.com Hello [192.168.10.2], pleased to meet you
Sun 2015-01-25 14:42:51: --> 250-AUTH LOGIN CRAM-MD5 PLAIN
Sun 2015-01-25 14:42:51: --> 250-8BITMIME
Sun 2015-01-25 14:42:51: --> 250-STARTTLS
Sun 2015-01-25 14:42:51: --> 250 SIZE
Sun 2015-01-25 14:42:51: <-- STARTTLS
Sun 2015-01-25 14:42:51: --> 220 Begin TLS negotiation
Sun 2015-01-25 14:42:51: SSL negotiation successful (TLS 1.0, 2048 bit key exchange, 128 bit RC4 encryption)
Sun 2015-01-25 14:42:51: <-- EHLO [192.168.10.2]
Sun 2015-01-25 14:42:51: --> 250-myhost.com Hello [192.168.10.2], pleased to meet you
Sun 2015-01-25 14:42:51: --> 250-AUTH LOGIN CRAM-MD5 PLAIN
Sun 2015-01-25 14:42:51: --> 250-8BITMIME
Sun 2015-01-25 14:42:51: --> 250 SIZE
Sun 2015-01-25 14:42:51: <-- AUTH CRAM-MD5
Sun 2015-01-25 14:42:51: --> 334 PE1EQUVNT04tRjIwMTUwMTI1MTQ0Mi5BQTQyNTEzNTFNRDAwMTJAZHVhbC12LWZpbG1zLmNvbS51YT4=
Sun 2015-01-25 14:42:51: <-- aS52b3l0QGR1YWwtdi1maWxtcy5jb20udWEgOWIzYTRiMDc5OTUwZWVmYzhkYjJkNjUzZDIzMzllOTI=
Sun 2015-01-25 14:42:51: --> 235 Authentication successful
Sun 2015-01-25 14:42:51: Authenticated as sender@myhost.com
Sun 2015-01-25 14:42:51: <-- MAIL FROM:<sender@myhost.com> SIZE=547
Sun 2015-01-25 14:42:51: --> 250 <sender@myhost.com>, Sender ok
Sun 2015-01-25 14:42:51: <-- RCPT TO:<recipient@gmail.com>
Sun 2015-01-25 14:42:51: --> 250 <recipient@gmail.com>, Recipient ok
Sun 2015-01-25 14:42:51: <-- DATA
Sun 2015-01-25 14:42:51: Creating temp file (SMTP): c:\mdaemon\queues\temp\md50000000057.tmp
Sun 2015-01-25 14:42:51: --> 354 Enter mail, end with <CRLF>.<CRLF>
Sun 2015-01-25 14:42:51: Message size: 547 bytes
Sun 2015-01-25 14:42:51: �������� ������� successful: c:\mdaemon\queues\inbound\md50000000658.msg
Sun 2015-01-25 14:42:51: --> 250 Ok, message saved <Message-ID: 54C4E4CB.3020206@myhost.com>
Sun 2015-01-25 14:42:51: <-- QUIT
Sun 2015-01-25 14:42:51: --> 221 See ya in cyberspace
Sun 2015-01-25 14:42:51: SMTP session successful (Bytes in/out: 1470/1881)
smtp-log.txt (4,138 bytes)

carl

2015-01-25 16:47

administrator   ~0000467

Thanks for the report. This should be fixed in 1.77.3 (0279344). Please leave a comment if you still have problems with that version.

Igor.Voyt

2015-01-25 18:25

reporter   ~0000468

Message sent, but not recieved. Says "554 Message is not RFC compliant; missing "Date" header"

Full log:
Sun 2015-01-25 20:14:53: Session 5793; child 1
Sun 2015-01-25 20:14:53: Accepting SMTP connection from [111.222.333.444:1083] to [192.168.2.2:25]
Sun 2015-01-25 20:14:53: --> 220 recipient-server.com ESMTP MDaemon 13.0.4; Sun, 25 Jan 2015 20:14:53 +0200
Sun 2015-01-25 20:14:53: <-- EHLO sender-server.com
Sun 2015-01-25 20:14:53: --> 250-recipient-server.com Hello sender-server.com, pleased to meet you
Sun 2015-01-25 20:14:53: --> 250-ETRN
Sun 2015-01-25 20:14:53: --> 250-AUTH LOGIN CRAM-MD5 PLAIN
Sun 2015-01-25 20:14:53: --> 250-8BITMIME
Sun 2015-01-25 20:14:53: --> 250-STARTTLS
Sun 2015-01-25 20:14:53: --> 250 SIZE
Sun 2015-01-25 20:14:53: <-- MAIL From:<sender@sender-server.com> SIZE=40991
Sun 2015-01-25 20:14:53: Performing PTR lookup (444.333.222.111.IN-ADDR.ARPA)
Sun 2015-01-25 20:14:53: D=444.333.222.111.in-addr.arpa TTL=(1374) PTR=[sender-server.com]
Sun 2015-01-25 20:14:53:
Gathering A records...
Sun 2015-01-25 20:14:53: D=sender-server.com TTL=(174) A=[111.222.333.444]
Sun 2015-01-25 20:14:53: ---- End PTR results
Sun 2015-01-25 20:14:53: Performing IP lookup (sender-server.com)
Sun 2015-01-25 20:14:53:
D=sender-server.com TTL=(174) A=[111.222.333.444]
Sun 2015-01-25 20:14:53: ---- End IP lookup results
Sun 2015-01-25 20:14:53: Performing IP lookup (sender-server.com)
Sun 2015-01-25 20:14:53: D=sender-server.com TTL=(174) A=[111.222.333.444]
Sun 2015-01-25 20:14:53: ---- End IP lookup results
Sun 2015-01-25 20:14:53: Performing SPF lookup (sender-server.com / 111.222.333.444)
Sun 2015-01-25 20:14:53:
Policy: v=spf1 ip4:111.222.333.444 a mx ~all
Sun 2015-01-25 20:14:53: Evaluating ip4:111.222.333.444: no match
Sun 2015-01-25 20:14:53:
Evaluating a: match
Sun 2015-01-25 20:14:53: * Result: pass
Sun 2015-01-25 20:14:53: ---- End SPF results
Sun 2015-01-25 20:14:53: --> 250 <sender@sender-server.com>, Sender ok
Sun 2015-01-25 20:14:53: <-- RCPT To:<recipient@recipient-server.com>
Sun 2015-01-25 20:14:53: --> 250 <recipient@recipient-server.com>, Recipient ok
Sun 2015-01-25 20:14:53: <-- DATA
Sun 2015-01-25 20:14:53: Creating temp file (SMTP): e:\mdaemon\queues\temp\md50000004129.tmp
Sun 2015-01-25 20:14:53: --> 354 Enter mail, end with <CRLF>.<CRLF>
Sun 2015-01-25 20:14:54: Message size: 40993 bytes
Sun 2015-01-25 20:14:54: --> 554 Message is not RFC compliant; missing "Date" header
Sun 2015-01-25 20:14:54: <-- QUIT
Sun 2015-01-25 20:14:54: --> 221 See ya in cyberspace
Sun 2015-01-25 20:14:54: SMTP session terminated (Bytes in/out: 41122/453)

carl

2015-01-25 21:33

administrator   ~0000469

Ah thanks, that second bug should be fixed in 1.77.5.

Bug History

Date Modified Username Field Change
2015-01-25 12:50 Igor.Voyt New Bug
2015-01-25 12:50 Igor.Voyt File Added: smtp-log.txt
2015-01-25 16:47 carl Note Added: 0000467
2015-01-25 16:47 carl Status new => resolved
2015-01-25 16:47 carl Resolution open => fixed
2015-01-25 16:47 carl Assigned To => carl
2015-01-25 18:25 Igor.Voyt Note Added: 0000468
2015-01-25 18:25 Igor.Voyt Status resolved => feedback
2015-01-25 18:25 Igor.Voyt Resolution fixed => reopened
2015-01-25 21:33 carl Note Added: 0000469
2015-01-25 21:33 carl Status feedback => resolved
2015-01-25 21:33 carl Resolution reopened => fixed
2016-05-31 22:54 carl Status resolved => closed